## org.apache.axis.transport.local
Class LocalSender

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.transport.local.LocalSender

All Implemented Interfaces:
  Handler, java.io.Serializable

public class LocalSender
extends BasicHandler

This is meant to be used on a SOAP Client to call a SOAP server.

Author:
  Sam Ruby <rubys@us.ibm.com>
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`LocalSender()`

Method Summary
`void` `init()` Allocate an embedded Axis server to process requests and initialize it.
`void` `invoke(MessageContext clientContext)` Must implement this in subclasses.

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### LocalSender

    public LocalSender()

Method Detail

### init

    public void init()

  Allocate an embedded Axis server to process requests and initialize it.

  Specified by:
    `init` in interface `Handler`
  Overrides:
    `init` in class `BasicHandler`

### invoke

    public void invoke(MessageContext clientContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.